Bug 1310873 - Review Request: rubygem-async_sinatra - A Sinatra plugin for running on async webservers
Review Request: rubygem-async_sinatra - A Sinatra plugin for running on async...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 16:02 EST by greg.hellings
Modified: 2016-09-30 11:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-26 20:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loganjerry: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description greg.hellings 2016-02-22 16:02:30 EST
Spec URL: https://fedorapeople.org/~greghellings/rubygem-async_sinatra/rubygem-async_sinatra.spec
SRPM URL: https://fedorapeople.org/~greghellings/rubygem-async_sinatra/rubygem-async_sinatra-1.2.1-1.fc24.src.rpm
Description: A Sinatra plugin to provide convenience whilst performing asynchronous
responses inside of the Sinatra framework running under async webservers.
To properly utilise this package, some knowledge of EventMachine and/or
asynchronous patterns is recommended.
Currently, supporting servers include:
* Thin
* Rainbows
* Zbatery.

Fedora Account System Username: greghellings

There are a number of BRs that are commented out. Those are dependencies for the test process, and there are some that are not yet packaged. If those get packaged, then we can uncomment that and add the tests in.
Comment 1 greg.hellings 2016-02-22 16:14:00 EST
I updated the files to execute tests, as all the packages are available on Fedora 24. My initial dev work was on a CentOS box where Sinatra is not yet available.
Comment 2 Jerry James 2016-02-26 11:13:55 EST
I will take this review.
Comment 3 Jerry James 2016-02-26 13:35:18 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package contains Requires: ruby(release).  This is for non-gem ruby packages
  only.  See: https://fedoraproject.org/wiki/Packaging:Ruby#Ruby_Compatibility

- The Summary is much too long.  Many tools that display package information
  will cut half or more of that text off.  Please try to think of a Summary that
  fits into much less text; e.g., "Sinatra plugin for asynchronous responses".

- British spelling is used in %description rather than American spelling.  See
  the spelling output from rpmlint below.

- Regarding a license file, README.md does contain the license ... and other
  stuff, too.  Still, I think it is not a bad idea to add %license README.md
  to the main package.  I will not insist on this, though, if you don't like
  the idea.

- Is the Rakefile really useful in the documentation?

- One of the Requires for the -doc subpackage is /usr/bin/env.  That appears to 
  be due to Rakefile.  If it is removed from the documentation, then fine.
  Otherwise, should it be executable?  Should it contain a shebang?

- Is there any purpose in including the source files
  %{gem_instdir}/CHANGELOG.rdoc and %{gem_instdir}/README.rdoc in the -doc
  subpackage when their processed equivalents are also in that package?

- The spec file URL does not correspond to the spec file inside the srpm; see
  the diff below.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 5 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[!]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[x]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
     This is due to rdoc, so we'll ignore it for this package.
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[x]: Gem package should exclude cached Gem.
[x]: Specfile should use macros from rubygem-devel package.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: rubygem-async_sinatra-1.2.1-1.fc24.noarch.rpm
          rubygem-async_sinatra-doc-1.2.1-1.fc24.noarch.rpm
          rubygem-async_sinatra-1.2.1-1.fc24.src.rpm
rubygem-async_sinatra.noarch: W: spelling-error Summary(en_US) webservers -> web servers, web-servers, observers
rubygem-async_sinatra.noarch: E: summary-too-long C A Sinatra plugin to provide convenience whilst performing asynchronous responses inside of the Sinatra framework running under async webservers
rubygem-async_sinatra.noarch: W: spelling-error %description -l en_US webservers -> web servers, web-servers, observers
rubygem-async_sinatra.noarch: W: spelling-error %description -l en_US utilise -> utilize
rubygem-async_sinatra.noarch: W: no-documentation
rubygem-async_sinatra-doc.noarch: W: spelling-error Summary(en_US) async -> sync, a sync
rubygem-async_sinatra-doc.noarch: W: spelling-error Summary(en_US) sinatra -> Sinatra
rubygem-async_sinatra-doc.noarch: W: spelling-error %description -l en_US async -> sync, a sync
rubygem-async_sinatra-doc.noarch: W: spelling-error %description -l en_US sinatra -> Sinatra
rubygem-async_sinatra.src: W: spelling-error Summary(en_US) async -> sync, a sync
rubygem-async_sinatra.src: W: spelling-error Summary(en_US) webservers -> web servers, web-servers, observers
rubygem-async_sinatra.src: E: summary-too-long C A Sinatra plugin to provide convenience whilst performing asynchronous responses inside of the Sinatra framework running under async webservers
rubygem-async_sinatra.src: W: spelling-error %description -l en_US async -> sync, a sync
rubygem-async_sinatra.src: W: spelling-error %description -l en_US webservers -> web servers, web-servers, observers
rubygem-async_sinatra.src: W: spelling-error %description -l en_US utilise -> utilize
3 packages and 0 specfiles checked; 2 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rubygem-async_sinatra.noarch: W: spelling-error Summary(en_US) webservers -> web servers, web-servers, observers
rubygem-async_sinatra.noarch: E: summary-too-long C A Sinatra plugin to provide convenience whilst performing asynchronous responses inside of the Sinatra framework running under async webservers
rubygem-async_sinatra.noarch: W: spelling-error %description -l en_US webservers -> web servers, web-servers, observers
rubygem-async_sinatra.noarch: W: spelling-error %description -l en_US utilise -> utilize
rubygem-async_sinatra.noarch: W: no-documentation
rubygem-async_sinatra-doc.noarch: W: spelling-error Summary(en_US) async -> sync, a sync
rubygem-async_sinatra-doc.noarch: W: spelling-error Summary(en_US) sinatra -> Sinatra
rubygem-async_sinatra-doc.noarch: W: spelling-error %description -l en_US async -> sync, a sync
rubygem-async_sinatra-doc.noarch: W: spelling-error %description -l en_US sinatra -> Sinatra
2 packages and 0 specfiles checked; 1 errors, 8 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/jamesjer/1310873-rubygem-async_sinatra/srpm/rubygem-async_sinatra.spec	2016-02-26 10:31:08.692927514 -0700
+++ /home/jamesjer/1310873-rubygem-async_sinatra/srpm-unpacked/rubygem-async_sinatra.spec	2016-02-22 14:06:43.000000000 -0700
@@ -13,16 +13,17 @@
 BuildRequires: rubygems-devel
 BuildRequires: ruby
+BuildRequires: rubygem(minitest)
 BuildRequires: rubygem(rack-test)
-BuildRequires: rubygem(eventmachine)
+# BuildRequires: rubygem(hoe-doofus) >= 1.0
+# BuildRequires: rubygem(hoe-seattlerb) >= 1.2
+# BuildRequires: rubygem(hoe-git) >= 1.3
+# BuildRequires: rubygem(hoe-gemspec2) >= 1.0
+BuildRequires: rubygem(eventmachine) >= 0.12.11
 BuildRequires: rubygem(hoe)
 BuildRequires: rubygem(sinatra)
 BuildArch: noarch
 %if 0%{?rhel} == 7
-BuildRequires: rubygem(minitest5)
 Provides: rubygem(%{gem_name}) = %{version}
 Requires: rubygem(sinatra)
-Requires: rubygem(rack)
-%else
-BuildRequires: rubygem(minitest)
 %endif
 


Requires
--------
rubygem-async_sinatra (rpmlib, GLIBC filtered):
    ruby(rubygems)
    rubygem(rack)
    rubygem(sinatra)

rubygem-async_sinatra-doc (rpmlib, GLIBC filtered):
    /usr/bin/env
    rubygem-async_sinatra



Provides
--------
rubygem-async_sinatra:
    rubygem(async_sinatra)
    rubygem-async_sinatra

rubygem-async_sinatra-doc:
    rubygem-async_sinatra-doc



Source checksums
----------------
https://rubygems.org/gems/async_sinatra-1.2.1.gem :
  CHECKSUM(SHA256) this package     : 5fe83dfab958ad6c0b2c9b4e2bfc6821f53f507dd0e7250afa4fb792b247f186
  CHECKSUM(SHA256) upstream package : 5fe83dfab958ad6c0b2c9b4e2bfc6821f53f507dd0e7250afa4fb792b247f186


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1310873 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 greg.hellings 2016-03-02 15:56:50 EST
Thanks for the review, new items listed:

https://fedorapeople.org/~greghellings/rubygem-async_sinatra/rubygem-async_sinatra-1.2.1-2.fc24.src.rpm
https://fedorapeople.org/~greghellings/rubygem-async_sinatra/rubygem-async_sinatra.spec

(In reply to Jerry James from comment #3)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> 
> 
> Issues:
> =======
> - Package contains Requires: ruby(release).  This is for non-gem ruby
> packages
>   only.  See:
> https://fedoraproject.org/wiki/Packaging:Ruby#Ruby_Compatibility

This appears to be the same problem as the other two reviews.

> 
> - The Summary is much too long.  Many tools that display package information
>   will cut half or more of that text off.  Please try to think of a Summary
> that
>   fits into much less text; e.g., "Sinatra plugin for asynchronous
> responses".

This was generated from the gem file. I've abbreviated it more appropriately.

> 
> - British spelling is used in %description rather than American spelling. 
> See
>   the spelling output from rpmlint below.

This text is provided by upstream. Is British/American spelling differences an issue? I can alter it if American is expected.

> 
> - Regarding a license file, README.md does contain the license ... and other
>   stuff, too.  Still, I think it is not a bad idea to add %license README.md
>   to the main package.  I will not insist on this, though, if you don't like
>   the idea.

I have tagged this as a license file

> 
> - Is the Rakefile really useful in the documentation?
> 

This is likely unnecessary, but the same as the other review. It is informative for conveying information related to packaging the gem, but not necessary important.

> - One of the Requires for the -doc subpackage is /usr/bin/env.  That appears
> to 
>   be due to Rakefile.  If it is removed from the documentation, then fine.
>   Otherwise, should it be executable?  Should it contain a shebang?

There's no reason it shouldn't be executable, if we're leaving it in.

> 
> - Is there any purpose in including the source files
>   %{gem_instdir}/CHANGELOG.rdoc and %{gem_instdir}/README.rdoc in the -doc
>   subpackage when their processed equivalents are also in that package?

I've moved the README.rdoc up to the main package and tagged it with %license. But where is the processed CHANGELOG.rdoc? I'm happy to remove it if you think it should be, but I've frequently seen those included as %doc files.

> 
> - The spec file URL does not correspond to the spec file inside the srpm; see
>   the diff below.
> 
> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Unknown or generated". 5 files have unknown license.
> [x]: License file installed when any subpackage combination is installed.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [!]: Requires correct, justified where necessary.
> [!]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Package is not known to require an ExcludeArch tag.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: Package requires other packages for directories it uses.
> [x]: Package does not own files or directories owned by other packages.
> [x]: All build dependencies are listed in BuildRequires, except for any
>      that are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 0 bytes in 0 files.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> Ruby:
> [x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
>      independent under %{gem_dir}.
> [x]: Gem package must not define a non-gem subpackage
> [x]: Macro %{gem_extdir} is deprecated.
> [x]: Gem package is named rubygem-%{gem_name}
> [x]: Package contains BuildRequires: rubygems-devel.
> [x]: Gem package must define %{gem_name} macro.
> [x]: Pure Ruby package must be built as noarch
> [x]: Package does not contain Requires: ruby(abi).
> 
> ===== SHOULD items =====
> 
> Generic:
> [x]: Avoid bundling fonts in non-fonts packages.
>      Note: Package contains font files
>      This is due to rdoc, so we'll ignore it for this package.
> [!]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [!]: Final provides and requires are sane (see attachments).
> [x]: Fully versioned dependency in subpackages if applicable.
> [?]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [x]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [x]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> Ruby:
> [x]: Gem should use %gem_install macro.
> [x]: Gem package should exclude cached Gem.
> [x]: Specfile should use macros from rubygem-devel package.
> [x]: Test suite should not be run by rake.
> [x]: Test suite of the library should be run.
> 
> ===== EXTRA items =====
> 
> Generic:
> [!]: Spec file according to URL is the same as in SRPM.
>      Note: Spec file as given by url is not the same as in SRPM (see
>      attached diff).
>      See: (this test has no URL)
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> 
> 
> Rpmlint
> -------
> Checking: rubygem-async_sinatra-1.2.1-1.fc24.noarch.rpm
>           rubygem-async_sinatra-doc-1.2.1-1.fc24.noarch.rpm
>           rubygem-async_sinatra-1.2.1-1.fc24.src.rpm
> rubygem-async_sinatra.noarch: W: spelling-error Summary(en_US) webservers ->
> web servers, web-servers, observers
> rubygem-async_sinatra.noarch: E: summary-too-long C A Sinatra plugin to
> provide convenience whilst performing asynchronous responses inside of the
> Sinatra framework running under async webservers
> rubygem-async_sinatra.noarch: W: spelling-error %description -l en_US
> webservers -> web servers, web-servers, observers
> rubygem-async_sinatra.noarch: W: spelling-error %description -l en_US
> utilise -> utilize
> rubygem-async_sinatra.noarch: W: no-documentation
> rubygem-async_sinatra-doc.noarch: W: spelling-error Summary(en_US) async ->
> sync, a sync
> rubygem-async_sinatra-doc.noarch: W: spelling-error Summary(en_US) sinatra
> -> Sinatra
> rubygem-async_sinatra-doc.noarch: W: spelling-error %description -l en_US
> async -> sync, a sync
> rubygem-async_sinatra-doc.noarch: W: spelling-error %description -l en_US
> sinatra -> Sinatra
> rubygem-async_sinatra.src: W: spelling-error Summary(en_US) async -> sync, a
> sync
> rubygem-async_sinatra.src: W: spelling-error Summary(en_US) webservers ->
> web servers, web-servers, observers
> rubygem-async_sinatra.src: E: summary-too-long C A Sinatra plugin to provide
> convenience whilst performing asynchronous responses inside of the Sinatra
> framework running under async webservers
> rubygem-async_sinatra.src: W: spelling-error %description -l en_US async ->
> sync, a sync
> rubygem-async_sinatra.src: W: spelling-error %description -l en_US
> webservers -> web servers, web-servers, observers
> rubygem-async_sinatra.src: W: spelling-error %description -l en_US utilise
> -> utilize
> 3 packages and 0 specfiles checked; 2 errors, 13 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> sh: /usr/bin/python: No such file or directory
> rubygem-async_sinatra.noarch: W: spelling-error Summary(en_US) webservers ->
> web servers, web-servers, observers
> rubygem-async_sinatra.noarch: E: summary-too-long C A Sinatra plugin to
> provide convenience whilst performing asynchronous responses inside of the
> Sinatra framework running under async webservers
> rubygem-async_sinatra.noarch: W: spelling-error %description -l en_US
> webservers -> web servers, web-servers, observers
> rubygem-async_sinatra.noarch: W: spelling-error %description -l en_US
> utilise -> utilize
> rubygem-async_sinatra.noarch: W: no-documentation
> rubygem-async_sinatra-doc.noarch: W: spelling-error Summary(en_US) async ->
> sync, a sync
> rubygem-async_sinatra-doc.noarch: W: spelling-error Summary(en_US) sinatra
> -> Sinatra
> rubygem-async_sinatra-doc.noarch: W: spelling-error %description -l en_US
> async -> sync, a sync
> rubygem-async_sinatra-doc.noarch: W: spelling-error %description -l en_US
> sinatra -> Sinatra
> 2 packages and 0 specfiles checked; 1 errors, 8 warnings.
> 
> 
> 
> Diff spec file in url and in SRPM
> ---------------------------------
> ---
> /home/jamesjer/1310873-rubygem-async_sinatra/srpm/rubygem-async_sinatra.spec
> 2016-02-26 10:31:08.692927514 -0700
> +++
> /home/jamesjer/1310873-rubygem-async_sinatra/srpm-unpacked/rubygem-
> async_sinatra.spec	2016-02-22 14:06:43.000000000 -0700
> @@ -13,16 +13,17 @@
>  BuildRequires: rubygems-devel
>  BuildRequires: ruby
> +BuildRequires: rubygem(minitest)
>  BuildRequires: rubygem(rack-test)
> -BuildRequires: rubygem(eventmachine)
> +# BuildRequires: rubygem(hoe-doofus) >= 1.0
> +# BuildRequires: rubygem(hoe-seattlerb) >= 1.2
> +# BuildRequires: rubygem(hoe-git) >= 1.3
> +# BuildRequires: rubygem(hoe-gemspec2) >= 1.0
> +BuildRequires: rubygem(eventmachine) >= 0.12.11
>  BuildRequires: rubygem(hoe)
>  BuildRequires: rubygem(sinatra)
>  BuildArch: noarch
>  %if 0%{?rhel} == 7
> -BuildRequires: rubygem(minitest5)
>  Provides: rubygem(%{gem_name}) = %{version}
>  Requires: rubygem(sinatra)
> -Requires: rubygem(rack)
> -%else
> -BuildRequires: rubygem(minitest)
>  %endif
>  
> 
> 
> Requires
> --------
> rubygem-async_sinatra (rpmlib, GLIBC filtered):
>     ruby(rubygems)
>     rubygem(rack)
>     rubygem(sinatra)
> 
> rubygem-async_sinatra-doc (rpmlib, GLIBC filtered):
>     /usr/bin/env
>     rubygem-async_sinatra
> 
> 
> 
> Provides
> --------
> rubygem-async_sinatra:
>     rubygem(async_sinatra)
>     rubygem-async_sinatra
> 
> rubygem-async_sinatra-doc:
>     rubygem-async_sinatra-doc
> 
> 
> 
> Source checksums
> ----------------
> https://rubygems.org/gems/async_sinatra-1.2.1.gem :
>   CHECKSUM(SHA256) this package     :
> 5fe83dfab958ad6c0b2c9b4e2bfc6821f53f507dd0e7250afa4fb792b247f186
>   CHECKSUM(SHA256) upstream package :
> 5fe83dfab958ad6c0b2c9b4e2bfc6821f53f507dd0e7250afa4fb792b247f186
> 
> 
> Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
> Command line :/usr/bin/fedora-review -b 1310873 -m fedora-rawhide-x86_64
> Buildroot used: fedora-rawhide-x86_64
> Active plugins: Generic, Ruby, Shell-api
> Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl,
> Haskell, R, PHP
> Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Jerry James 2016-03-04 15:54:09 EST
(In reply to greg.hellings from comment #4)
> This appears to be the same problem as the other two reviews.

Yes, I wish I knew what is going on there.

> This was generated from the gem file. I've abbreviated it more appropriately.

That Summary is better, but now rpmlint complains:

rubygem-async_sinatra.noarch: W: summary-ended-with-dot C A Sinatra plugin for r
unning on async webservers.

To make rpmlint happy, can we take the dot off the end?  Also, you will need to change the name of this bug to match the new summary prior to asking for package creation.

> This text is provided by upstream. Is British/American spelling differences
> an issue? I can alter it if American is expected.

See the 2nd paragraph of https://fedoraproject.org/wiki/Packaging:Guidelines#Summary_and_description

> This is likely unnecessary, but the same as the other review. It is
> informative for conveying information related to packaging the gem, but not
> necessary important.

Okay, I will leave it up to you.

> There's no reason it shouldn't be executable, if we're leaving it in.

I'm going by the 3rd paragraph of https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation

"Files marked as documentation must not cause the package to pull in more dependencies than it would without the documentation. One simple way to ensure this in most cases is to remove all executable permissions from files in %_pkgdocdir."

In this case, a documentation file is adding a dependency on /usr/bin/env.

> I've moved the README.rdoc up to the main package and tagged it with
> %license. But where is the processed CHANGELOG.rdoc? I'm happy to remove it
> if you think it should be, but I've frequently seen those included as %doc
> files.

The HTML version is in /usr/share/gems/doc/async_sinatra-1.2.1/rdoc/CHANGELOG_rdoc.html.  If you think the source version is also useful, I'm fine with that; just asking the question.
Comment 6 greg.hellings 2016-03-08 14:28:03 EST
(In reply to Jerry James from comment #5)
> (In reply to greg.hellings from comment #4)
> > This appears to be the same problem as the other two reviews.
> 
> Yes, I wish I knew what is going on there.
> 
> > This was generated from the gem file. I've abbreviated it more appropriately.
> 
> That Summary is better, but now rpmlint complains:
> 
> rubygem-async_sinatra.noarch: W: summary-ended-with-dot C A Sinatra plugin
> for r
> unning on async webservers.
> 
> To make rpmlint happy, can we take the dot off the end?  Also, you will need
> to change the name of this bug to match the new summary prior to asking for
> package creation.

This is done.

> 
> > This text is provided by upstream. Is British/American spelling differences
> > an issue? I can alter it if American is expected.
> 
> See the 2nd paragraph of
> https://fedoraproject.org/wiki/Packaging:Guidelines#Summary_and_description

Updated.

> 
> > This is likely unnecessary, but the same as the other review. It is
> > informative for conveying information related to packaging the gem, but not
> > necessary important.
> 
> Okay, I will leave it up to you.

Removing this file, in order to simplify the whole process. Also should resolve the issue with the dependencies.

There were additional files (in the examples set) that were also pulling in the /usr/bin/env requirement. I've cleaned those up and the dependency is now removed.

> 
> > There's no reason it shouldn't be executable, if we're leaving it in.
> 
> I'm going by the 3rd paragraph of
> https://fedoraproject.org/wiki/Packaging:Guidelines#Documentation
> 
> "Files marked as documentation must not cause the package to pull in more
> dependencies than it would without the documentation. One simple way to
> ensure this in most cases is to remove all executable permissions from files
> in %_pkgdocdir."
> 
> In this case, a documentation file is adding a dependency on /usr/bin/env.
> 
> > I've moved the README.rdoc up to the main package and tagged it with
> > %license. But where is the processed CHANGELOG.rdoc? I'm happy to remove it
> > if you think it should be, but I've frequently seen those included as %doc
> > files.
> 
> The HTML version is in
> /usr/share/gems/doc/async_sinatra-1.2.1/rdoc/CHANGELOG_rdoc.html.  If you
> think the source version is also useful, I'm fine with that; just asking the
> question.

I've also removed this file, since there should be no need to include the source file when a build result is available instead.

New files at
https://fedorapeople.org/~greghellings/rubygem-async_sinatra/rubygem-async_sinatra.spec
https://fedorapeople.org/~greghellings/rubygem-async_sinatra/rubygem-async_sinatra-1.2.1-3.fc24.src.rpm

--Greg
Comment 7 Jerry James 2016-03-12 21:32:36 EST
Sorry for the delay.  This looks great.  All issues have been resolved, so this package is APPROVED.
Comment 8 Gwyn Ciesla 2016-05-12 11:22:59 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-async_sinatra
Comment 9 Matthias Runge 2016-08-24 05:52:44 EDT
Would you be able to import the package now?
Comment 10 greg.hellings 2016-09-19 15:50:25 EDT
Let me get onto this.
Comment 11 Fedora Update System 2016-09-19 16:14:35 EDT
rubygem-async_sinatra-1.2.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-41326fc2f1
Comment 12 Fedora Update System 2016-09-19 16:20:32 EDT
rubygem-async_sinatra-1.2.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd208a3f8a
Comment 13 Fedora Update System 2016-09-20 15:57:24 EDT
rubygem-async_sinatra-1.2.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-41326fc2f1
Comment 14 Fedora Update System 2016-09-21 21:26:06 EDT
rubygem-async_sinatra-1.2.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cd208a3f8a
Comment 15 Fedora Update System 2016-09-26 20:37:16 EDT
rubygem-async_sinatra-1.2.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-09-30 11:52:32 EDT
rubygem-async_sinatra-1.2.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.